Node.Visitor (Jasper Internal API Documentation)
Keywords: org.apache.jasper.compiler.Node.Visitor class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class Node.Visitor

    java.lang.Object
      org.apache.jasper.compiler.Node.Visitor

Enclosing class:
  Node

public static class Node.Visitor
extends java.lang.Object

A visitor class for visiting the node. This class also provides the default action (i.e. nop) for each of the child class of the Node. An actual visitor should extend this class and supply the visit method for the nodes that it cares.

Constructor Summary
`Node.Visitor()`

Method Summary
`protected void` | `doVisit(Node n)` The method provides a place to put actions that are common to all nodes.
`void` | `visit(Node.Comment n)`
`void` | `visit(Node.CustomTag n)`
`void` | `visit(Node.Declaration n)`
`void` | `visit(Node.Expression n)`
`void` | `visit(Node.FallBackAction n)`
`void` | `visit(Node.ForwardAction n)`
`void` | `visit(Node.GetProperty n)`
`void` | `visit(Node.IncludeAction n)`
`void` | `visit(Node.IncludeDirective n)`
`void` | `visit(Node.JspRoot n)`
`void` | `visit(Node.JspText n)`
`void` | `visit(Node.PageDirective n)`
`void` | `visit(Node.ParamAction n)`
`void` | `visit(Node.ParamsAction n)`
`void` | `visit(Node.PlugIn n)`
`void` | `visit(Node.Root n)`
`void` | `visit(Node.Scriptlet n)`
`void` | `visit(Node.SetProperty n)`
`void` | `visit(Node.TaglibDirective n)`
`void` | `visit(Node.TemplateText n)`
`void` | `visit(Node.UninterpretedTag n)`
`void` | `visit(Node.UseBean n)`
`protected void` | `visitBody(Node n)` Visit the body of a node, using the current visitor

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Node.Visitor

    public Node.Visitor()

Method Detail

### doVisit

    protected void doVisit(Node n)
                    throws JasperException

  The method provides a place to put actions that are common to all nodes. Override this in the child visitor class if need to.

  Throws:
    `JasperException`

### visitBody

    protected void visitBody(Node n)
                      throws JasperException

  Visit the body of a node, using the current visitor

  Throws:
    `JasperException`

### visit

    public void visit(Node.Root n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(Node.JspRoot n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(Node.PageDirective n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(Node.IncludeDirective n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(Node.TaglibDirective n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(Node.Comment n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(Node.Declaration n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(Node.Expression n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(Node.Scriptlet n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(Node.IncludeAction n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(Node.ForwardAction n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(Node.GetProperty n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(Node.SetProperty n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(Node.ParamAction n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(Node.ParamsAction n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(Node.FallBackAction n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(Node.UseBean n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(Node.PlugIn n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(Node.CustomTag n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(Node.UninterpretedTag n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(Node.JspText n)
               throws JasperException

  Throws:
    `JasperException`

### visit

    public void visit(Node.TemplateText n)
               throws JasperException

  Throws:
    `JasperException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.